Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1349774 - Missing import from ovirtsdk4.readers
Summary: Missing import from ovirtsdk4.readers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk-python
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
: 1362105 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-24 08:37 UTC by Gonza
Modified: 2017-06-19 11:09 UTC (History)
6 users (show)

Fixed In Version: python-ovirt-engine-sdk4-4.0.0-0.5.a5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 12:48:34 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
fix (deleted)
2016-06-24 10:04 UTC, Ondra Machacek
no flags Details | Diff
patch (deleted)
2016-06-24 10:53 UTC, Ondra Machacek
juan.hernandez: review+
Details | Diff

Description Gonza 2016-06-24 08:37:00 UTC
Description of problem:
The following simple python code fails:
>>> from ovirtsdk4 import readers
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/ovirtsdk4/readers.py", line 21, in <module>
    from ovirtsdk4 import types
  File "/usr/lib64/python2.7/site-packages/ovirtsdk4/types.py", line 20, in <module>
    from enum import Enum, unique
ImportError: No module named enum

Version-Release number of selected component (if applicable):
ovirt-engine-sdk-python-3.6.7.0-1.el7ev.noarch

How reproducible:
100 %

Additional info:
This is affecting engine-image-uploader

Comment 1 Juan Hernández 2016-06-24 09:39:18 UTC
The SDK that you are using is version 4, but the "version-release" that you put in the description of the bug is 3.5.7, because you are using an incorrect package name. The package name for version 4 of the SDK is "python-ovirt-engine-sdk4". So to get the exact version please do the following:

  $ rpm -q python-ovirt-engine-sdk4

Comment 2 Gonza 2016-06-24 09:58:00 UTC
python-ovirt-engine-sdk4-4.0.0-0.0.a3.el7ev.x86_64

Comment 3 Ondra Machacek 2016-06-24 10:03:22 UTC
I've check out with Gonza, and it's dowsntream issue.

Comment 4 Ondra Machacek 2016-06-24 10:04:17 UTC
Created attachment 1171903 [details]
fix

Comment 5 Juan Hernández 2016-06-24 10:07:30 UTC
Ondra, the patch looks good, but we should also update the "Release" tag, should be 0.1.a3, and the change log.

Comment 6 Ondra Machacek 2016-06-24 10:53:43 UTC
Created attachment 1171921 [details]
patch

Comment 7 Gil Klein 2016-07-27 12:48:34 UTC
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Comment 8 Ondra Machacek 2016-08-01 10:00:56 UTC
*** Bug 1362105 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.